Delete Platform API Key
curl --request DELETE \
--url https://api.app.shinzo.ai/auth/platform_keys/{keyUuid} \
--header 'Authorization: Bearer <token>'Tokens
Delete Platform API Key
Delete an existing platform API key.
DELETE
/
auth
/
platform_keys
/
{keyUuid}
Delete Platform API Key
curl --request DELETE \
--url https://api.app.shinzo.ai/auth/platform_keys/{keyUuid} \
--header 'Authorization: Bearer <token>'Authentication
Requires JWT token authentication.Path Parameters
string
required
The UUID of the key to delete
Example Request
curl -X DELETE https://api.app.shinzo.ai/auth/platform_keys/key_abc123def456 \
-H "Authorization: Bearer <jwt_token>"
Response
{
"message": "API key deleted successfully",
"uuid": "key_abc123def456",
"deleted_at": "2025-01-20T16:00:00Z"
}
This action is permanent. Once deleted, the API key can no longer be used for authentication and cannot be recovered.
Status Codes
| Code | Description |
|---|---|
200 | Key deleted successfully |
401 | Invalid or missing JWT token |
404 | Key not found |

